@charset "utf-8";
/* CSS Document */

.hamburger {
  position: absolute;
  top:0;
  right:0
}

.toggle, [id^=drop] {
	display: none;
}

nav { 
	margin:0;
	padding: 0;
	background-color: #254441;  /* #254441 green */ 
  	position: sticky;
  	top:0;
  	z-index:10;
  	font-size:19px;
	/* line-height: 28px; /* 32px */
}

#logo {
	display: block;
	padding: 0 30px;
	float: left;
	font-size: 14px;
	line-height: 18px; /* logo text line height */
	font-family: "Times New Roman", Times, serif;
	color: #FFF;
	display: flex;
	align-items: center;
}

#logo img {
	width: 60px;
	height: 60px;
	vertical-align: middle;
	padding-right:6px;
}

nav:after {
	content:"";
	display:table;
	clear:both;
}

nav .menu {
	padding-top: 8px;
}

nav ul {
	float: right;
	padding: 0;
	margin: 0;
	list-style: none;
	position: relative;
	}
	
nav ul li {
	margin: 0px;
	display: inline-block;
	float: left;
	background-color: #254441;
	}

nav a {
	display: block;
	padding: 10px 70px 10px 30px; /* 14px 20px; */	
	color: #FFF;
	font-size: 19px;
	text-decoration:none;
}


nav ul li ul li:hover { background: #000000; }

nav a:hover { 
	background-color: #000000;
}

nav ul ul {
	display: none;
	position: absolute; 
	top: 50px; /* sets horizontal level of dropdown menus, needs to be high enough to make contact with top level menu.   original value 60px */ 
}
	
nav ul li:hover > ul {
	display:inherit;
}
	
nav ul ul li {
	width: auto; /*170px */
	float:none;
	display:list-item;
	position: relative;
}

nav ul ul ul li {
	position: relative;
	top:-50px; /* Sets vertical top of sub-sub menu, should be negative of nav ul ul top   original value -60px */
	left:170px; /* hozizontal left edge of sub-sub menu */
	z-index:11;
}

li > a:after { content:  ' \25BC'; font-size:10px }
li > a:only-child:after { content: ''; }

/* Wide mobile layouts 480px. Mobile in landscape */
@media only screen and (min-width: 480px) and (max-width: 767px) {
	#logo {
		padding: 0 10px;
		font-size: 12px;
		line-height: 16px;
	}
	
	#logo img {
		width: 50px;
		height: 50px;
	}

	nav a {
		padding: 6px 46px 6px 6px;
		font-size: 17px;
	}
	
	nav ul ul ul li {
		left: 110px; /* hozizontal left edge of sub- sub menu */
	}
}

/* mobile */
@media all and (max-width : 600px) {
	#logo {
		padding: 0 0 0 6px;
		/* display: block;
		width: 100%;
		text-align: center;
		float: none; */
	}

	nav {
		margin: 0;
		/* line-height: 20px; */
	}

	.toggle + a,
	.menu {
		display: none;
	}

	.toggle {
		display: block;
		background-color: #254441;
		padding: 18px 30px 18px 30px; /* 14px 20px; */
		color:#FFF;
		font-size:17px;
		text-decoration:none;
		border:none;
	}

	.toggle:hover {
		background-color: #000000;
	}

	[id^=drop]:checked + ul {
		display: block;
	}

	nav ul li {
		display: block;
		width: 100%;
		}

	nav ul ul .toggle,
	nav ul ul a {
		padding: 0 40px;
	}

	nav ul ul ul a {
		padding: 0 80px;
	}

	nav a:hover,
 	nav ul ul ul a {
		background-color: #000000;
	}
  
	nav ul li ul li .toggle,
	nav ul ul a,
    nav ul ul ul a {
		padding: 10px 20px 10px 40px; /* 14px 20px; */
		color:#FFF;
		font-size:17px; 
	}
	
    nav ul ul ul a {
		padding: 10px 20px 10px 50px; /* 14px 20px; */
	}
  
	nav ul li ul li .toggle,
	nav ul ul a {
		background-color: #212121; 
	}

	nav ul ul {
		float: none;
		position:static;
		color: #ffffff;
	}
		
	nav ul ul li:hover > ul,
	nav ul li:hover > ul {
		display: none;
	}
		
	nav ul ul li {
		display: block;
		width: 100%;
	}

	nav ul ul ul li {
		position: static;
	}
}


@media all and (max-width : 320px) {
	nav ul li {
		display:block;
		width: 94%;
	}
}
